import { Emitter, Event } from '@devpodio/core';
import { CppPreferences } from './cpp-preferences';
import { StorageService } from '@devpodio/core/lib/browser/storage-service';
export interface CppBuildConfiguration {
    name: string;
    directory: string;
    commands?: {
        'build'?: string;
    };
}
export declare const CppBuildConfigurationManager: unique symbol;
export interface CppBuildConfigurationManager {
    getConfigs(): CppBuildConfiguration[];
    getValidConfigs(): CppBuildConfiguration[];
    getActiveConfig(): CppBuildConfiguration | undefined;
    setActiveConfig(config: CppBuildConfiguration | undefined): void;
    onActiveConfigChange: Event<CppBuildConfiguration | undefined>;
    ready: Promise<void>;
}
export declare const CPP_BUILD_CONFIGURATIONS_PREFERENCE_KEY = "cpp.buildConfigurations";
export declare class CppBuildConfigurationManagerImpl implements CppBuildConfigurationManager {
    protected readonly cppPreferences: CppPreferences;
    protected readonly storageService: StorageService;
    protected activeConfig: CppBuildConfiguration | undefined;
    protected readonly activeConfigChangeEmitter: Emitter<CppBuildConfiguration | undefined>;
    readonly ACTIVE_BUILD_CONFIGURATION_STORAGE_KEY = "cpp.active-build-configuration";
    ready: Promise<void>;
    init(): Promise<void>;
    protected loadActiveConfiguration(): Promise<void>;
    protected saveActiveConfiguration(config: CppBuildConfiguration | undefined): void;
    protected handlePreferencesUpdate(): void;
    protected equals(a: CppBuildConfiguration, b: CppBuildConfiguration): boolean;
    getActiveConfig(): CppBuildConfiguration | undefined;
    setActiveConfig(config: CppBuildConfiguration | undefined): void;
    readonly onActiveConfigChange: Event<CppBuildConfiguration | undefined>;
    getConfigs(): CppBuildConfiguration[];
    getValidConfigs(): CppBuildConfiguration[];
}
