import { SelectionService } from '@devpodio/core/lib/common';
import { CommandContribution, CommandRegistry, Command } from '@devpodio/core/lib/common';
import { OpenerService } from '@devpodio/core/lib/browser';
import { CppLanguageClientContribution } from './cpp-language-client-contribution';
import { EditorManager } from '@devpodio/editor/lib/browser';
export declare const SWITCH_SOURCE_HEADER: Command;
export declare const SHOW_CLANGD_REFERENCES: Command;
export declare const DUMP_INCLUSIONS: Command;
export declare const DUMP_INCLUDED_BY: Command;
export declare const REINDEX: Command;
export declare const PRINT_STATS: Command;
export declare const FILE_OPEN_PATH: (path: string) => Command;
export declare function editorContainsCppFiles(editorManager: EditorManager | undefined): boolean;
export declare class CppCommandContribution implements CommandContribution {
    protected readonly clientContribution: CppLanguageClientContribution;
    protected readonly openerService: OpenerService;
    private editorService;
    protected readonly selectionService: SelectionService;
    private readonly cppPreferences;
    constructor(clientContribution: CppLanguageClientContribution, openerService: OpenerService, editorService: EditorManager, selectionService: SelectionService);
    registerCommands(commands: CommandRegistry): void;
    protected switchSourceHeader(): Promise<void>;
    private dumpInclusions;
    private dumpIncludedBy;
    private reindex;
    private printStats;
}
