import { BaseLanguageClientContribution, LanguageClientFactory, LanguageClientOptions, ILanguageClient } from '@devpodio/languages/lib/browser';
import { Languages, Workspace } from '@devpodio/languages/lib/browser';
import { ILogger } from '@devpodio/core/lib/common/logger';
import { WindowService } from '@devpodio/core/lib/browser/window/window-service';
import { CppStartParameters } from '../common';
import { CppBuildConfigurationManager, CppBuildConfiguration } from './cpp-build-configurations';
import { CppBuildConfigurationsStatusBarElement } from './cpp-build-configurations-statusbar-element';
import { CppPreferences } from './cpp-preferences';
export declare class CppLanguageClientContribution extends BaseLanguageClientContribution {
    protected readonly workspace: Workspace;
    protected readonly languages: Languages;
    protected readonly languageClientFactory: LanguageClientFactory;
    readonly id = "cpp";
    readonly name = "C/C++";
    protected readonly cppPreferences: CppPreferences;
    protected readonly cppBuildConfigurations: CppBuildConfigurationManager;
    protected readonly cppBuildConfigurationsStatusBarElement: CppBuildConfigurationsStatusBarElement;
    protected readonly windowService: WindowService;
    protected readonly logger: ILogger;
    constructor(workspace: Workspace, languages: Languages, languageClientFactory: LanguageClientFactory);
    protected init(): void;
    protected onReady(languageClient: ILanguageClient): void;
    private createClangdConfigurationParams;
    onActiveBuildConfigChanged(config: CppBuildConfiguration | undefined): Promise<void>;
    protected readonly documentSelector: string[];
    protected readonly globPatterns: string[];
    protected readonly configurationSection: string[];
    protected createOptions(): LanguageClientOptions;
    protected getStartParameters(): CppStartParameters;
}
